---
title: "Hi!"
slug: "about"
---


{{<avatar src="/images/profile.webp">}}

My name is Joe, and I am a software developer with a Ph.D. in theoretical physics.

Currently I work for [Microsoft Quantum](https://www.microsoft.com/en-us/quantum)
where I develop custom algorithms and software for simulating [Majorana-based topological qubits][qubits].
I also improve the tools used by simulation engineers to take advantage of the
high-performance (classical) computing infrastructure available to us.

Outside of work I like to spend as much time as possible in the mountains.

[qubits]: https://cloudblogs.microsoft.com/quantum/2018/09/06/developing-a-topological-qubit/

### Selected Projects
Here's a not-so-random list of software projects that I've been involved with.

{{<logo href="https://kwant-project.org" src="/images/logos/kwant.webp">}}
[**Kwant**](https://kwant-project.org) is a Python package for simulating quantum transport in nanodevices.
It has been used in [hundreds of research projects](https://scholar.google.nl/scholar?cites=9330311747089024535&scisbd=1)
all over the world, as well as a teaching aid in [courses](http://tiny.cc/topocm) on condensed matter physics.

{{<logo href="https://github.com/python-adaptive/adaptive" src="/images/logos/adaptive.webp">}}
[**Adaptive**](https://github.com/python-adaptive/adaptive) is a library of algorithms
for adaptively sampling mathematical functions, and seamlessly integrates with the Jupyter notebook.
It has been used in [cutting edge](https://arxiv.org/pdf/1806.02801.pdf)
quantum transport simulations.

{{<logo href="https://github.com/zesje/zesje" src="/images/logos/zesje.webp">}}
[**Zesje**](https://github.com/zesje/zesje)
is a web app for grading exams. Born out of necessity while administering exams
to hundreds of undergrads, it's now used in several departments
at Delft University of Technology.

{{<logo href="https://github.com/simonmichael/hledger" src="/images/logos/haskell.webp">}}
[**hledger**](https://github.com/simonmichael/hledger)
is accounting software that uses plain text files to store transactions.
Contributing to this mature codebase has been particularly helpful in learning Haskell.

{{<logo href="https://github.com/jupyter/jupyter-sphinx" src="/images/logos/jupyter.webp">}}
[**jupyter-sphinx**](https://github.com/jupyter/jupyter-sphinx)
is a plugin for [Sphinx](https://www.sphinx-doc.org) that executes code snippets in
documentation pages and embeds the output.

### What do I do for fun?

When I'm not coding I'm probably up a mountain, in the climbing gym (though not since COVID!)
or playing [designer board games][bgg]. If I'm reading it's probably anything by Ted Chiang.
I relax by cross-stitching video game pixel art.

I will also (very) sporadically [blog]({{<relref "posts" >}}) about stuff I find interesting.

Since moving to Canada I've also been watching a lot of NHL hockey (go Bruins).

[bgg]: https://boardgamegeek.com/plays/thumbs/user/jbweston/subtype/All
