---
title: Adaptive vs. Parallel computation
date: 2017-11-08
tags:
  - coding
draft: true
---

Often we will run simulations for several values of a parameter.
Often we want to *sweep* over a parameter space, and look for *features* in
the simulation results (e.g. when the simulated quantity changes abruptly).

Homogeneous sampling is simple but kind of dumb. We are using a computer -- can't
we do better?

Yes we can! We can try and sample in an *adaptive* manner, that is, we choose points
in "interesting" regions of parameter space, by inspecting the values of the function
that we have evaluated thus far.

There are of course challenges to making a "good" adaptive sampler, but essentially
any problems that people have with any particular method can all be summarized as
"my idea of what constitutes an 'interesting region of parameter space' differs
from yours". This is nevertheless and interesting discussion, and will probably appear
in the form of a blog post at a later stage
