---
title: Elfin Lakes (Gargoyles + Opal Cone)
date: 2021-07-26
tags:
  - mountains
  - hiking
featuredImage: gallery/10-opal-cone-2-cropped.jpg
---

Recently Carolina and I spent a couple of nights at Elfin Lakes campground doing some of the local (half) day hikes.
My start at Microsoft had been delayed and Carolina had taken a week of work, so we wanted to profit from the fantastic weather.

Our journey started off with a bit of excitement: negotiating 16km of unsurfaced logging road in our Mazda 3!
I had initially thought we could average about 30 km/h on this road, but in the end we managed less than 20 km/h
on account of the potholes and loose surface.

{{<figure src=gallery/01-ready-to-go.jpg caption="Mazda after the logging road">}}

We hiked up to the campground early in the afternoon and set up the tent, intending to continue on to Diamond Head afterwards.
In the end we only left the trailhead at midday, and started off towards Diamond Head from Elfin Lakes at around 15h30, so were
already not optimistic about our ability to get back to camp in good time before sunset.

{{<figure src=gallery/03-elfin-lakes.jpg caption="Arriving at Elfin Lakes">}}

Arriving at the col below the Gargoyles we saw a good 1h30 - 2h of trail sweeping away before us up to Diamond Head,
and the impressive mass of Atwell peak rearing up behind (a future project perhaps?).
Given the late hour we decided to shift our objective and finish up the last 200m to the summit of the Gargoyles instead
of continuing on.

{{<figure src=gallery/04-atwell-peak.jpg caption="Atwell peak from the summit of the Gargoyles, Diamond Head in front.">}}

After a few photos at the top we were soon on our way back down the trail in the late afternoon sun.
After a dinner of couscous and lentils accompanied with cheese, crackers, and salami we headed for bed at around 22h.

The objective for the next day was the Opal Cone, an extinct volcano with fantastic views over the neighboring ranges and an azure blue lake.
We decided to leave in good time in order to complete the majority of the hike before the sun was beating down too hard.
The first section was straightforward, although the second third (after crossing Ring Creek) was a slog up scree that required negotiating a section of trail that had been washed out due to rockfall.

{{<figure src=gallery/07-towards-opal-cone.jpg caption="Just after crossing Ring Creek, before the scree">}}

The online topos (as well as our paper copy of the 92 G/15 map sheet) indicated that the trail to the top of the cone was up the SW slope,
however when we arrived at this point we could see only grass slopes and no obvious trail.
A person returning from Mamquam Lakes had told us that there was a post further along the trail marking an ascent (at around 1550m, seen easily on the GPX trace), so we carried on round and attacked via the SE slope.
We started along a well-marked trail along a narrow ridge with great views on lakes under the Lava Glacier.
At around 1600m there is a technical step up steep terrain (easily viewable on the GPX trace) that can be most easily passed to
climber's left where the shrubs form natural steps.
The path to the right is more eroded and much more exposed.
The trail once again becomes clear after this step and continues on through the boulder fields on the crater rim.

The views from the top were quite phenomenal (see below), and after enjoying a sandwich lunch we were ready for the descent.

{{<figure src=gallery/10-opal-cone-2.jpg caption="View from the top of the Opal Cone, azure lakes visible below the Lava Glacier">}}

The descent passed uneventfully, and we spent the afternoon sunning ourselves at the Elfin Lakes before enjoying a dinner of mashed potato and sausages.

The final day, all that remained was to hike back to the car and steel ourselves for the descent on the logging road.

All in all this was a very pleasant trip; I am looking forward to coming back here on skis in the winter, and checking out some topos for tackling Atwell peak someday.




{{<gaia
  mLK2dFA8vVRhpsu3zF69OGU4
  lJERM746nFsNUk9h0bZiLmn4
  qQoAKc1YUzN9BEHFqdgz8FVD
  1IA9R5LlDqSY1pO8TzdSDEkh
  >}}

{{<gallery>}}
